> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get task documents

> Returns a list of document links for the specified task, if associated with the authenticated client.



## OpenAPI

````yaml /openapi.json get /tasks/{taskId}/documents
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /tasks/{taskId}/documents:
    get:
      tags:
        - Tasks
      summary: Get task documents
      description: >-
        Returns a list of document links for the specified task, if associated
        with the authenticated client.
      operationId: GetTaskDocuments
      parameters:
        - name: taskId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: When request is successful. Returns a list of 'Link' objects.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskDocumentCollection'
        '403':
          description: >-
            When task with specified id is not associated with authenticated
            client.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: When task with specified id does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    TaskDocumentCollection:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        value:
          type: array
          items:
            $ref: '#/components/schemas/TaskDocument'
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    TaskDocument:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        task:
          allOf:
            - $ref: '#/components/schemas/Link'
          description: The associated task.
          nullable: true
        type:
          allOf:
            - $ref: '#/components/schemas/DocumentType'
          description: "The type of the document.\r\n\r\nPossible values: File = 0, FormTemplate = 1, Memo = 2."
          example: 0
        isDeleted:
          type: boolean
          description: True when the task document has been deleted.
          example: false
        document:
          description: Link to the the document.
          nullable: true
      additionalProperties: false
      description: Task document resource.
    DocumentType:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: "Available document types: \"File = 0\", \"FormTemplate = 1\", \"Memo = 2\" \r\n\r\nThe FormTemplate (1) document type is not currently supported for task document creation."
      format: int32
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````